EDIT - bug #6235

bug # 6115 (Closed): protect cdm content by drupal permission

page duplication when accessing resticted content
12/01/2016 05:42 PM - Andreas Kohlbecker

Status: Rejected Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: blocker Found in Version:

Description

At least in the flora-cuba portal there is strange effect when accessing a taxon page without sufficient permissions.
The page appeares duplicated the upper part of the browser window shows the access denied page and the lower part exposes the
content which should be restricted!

Test url: http://edit.dev/d7/flora-cuba/cdm_dataportal/taxon/7beb8ef0-5878-4937-874e-bf0fa4f97c6b
History

#1 - 12/01/2016 05:43 PM - Andreas Kohlbecker
- Parent task set to #6115

#2 - 12/01/2016 05:44 PM - Andreas Kohlbecker

- File access-denied-page-duplication.png added

#3 - 12/01/2016 05:45 PM - Andreas Kohlbecker
- Description updated

#4 - 12/02/2016 08:33 AM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Release 4.4)

This is not a problem in the code. The observed effect was caused by pending updates for the cdm_dataportal module and by the need to flush the
drupal cache in order to refresh the menu and pages.This is done automatically in the test and production portals so that the problem should not
occure there.

Files

access-denied-page-duplication.png 384 KB 12/01/2016 Andreas Kohlbecker
